LLM session timeline
Paginated per-request timeline for one session, ordered by time.
Paginated per-request timeline for one session, ordered by time.
ApiKeyAuthAuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
view_llm_analyticsscope?stringown returns only the caller's own records, even when they may see the whole organization. all, the default, returns everything the caller may see. It never widens what the caller may see.
"all""own"offset?integerNumber of items to skip before returning results.
int320 <= value0limit?integerMaximum number of items to return per page.
int320 <= value <= 25610start_time*stringStart of the time range to report on, inclusive.
date-timeend_time*stringEnd of the time range to report on, exclusive.
date-timesession_key*stringThe session to report on, identified by its provider session key.
provider*stringTelemetry provider of the session.
"claude""codex""gemini""copilot"The request has succeeded.
application/json- response
One page of a session's per-request timeline.
items*array<>The items in this page.
meta*Paging information for a list response.
curl -X GET 'https://your-org.aisecurity.services.us.connect.secureauth.com/api/v1/analytics/llm-session-timeline?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z&session_key=string&provider=claude'{ "items": [ { "occurred_at": "2019-08-24T14:15:22Z", "model": "string", "cost": 0.1, "tokens": 0, "by_type": [ { "type": "string", "tokens": 0 } ], "duration_ms": 0, "prompt_id": "string" } ], "meta": { "total": 0, "offset": 0, "limit": 0 }}